[beta] Create a watchpoint

Creates a Ground Intelligence watchpoint for the organization. The submitted location may be snapped to a road within 75 meters. Use the location returned in the response as the saved watchpoint location.

Rate limit: 100 requests/min (learn more about rate limits here).

To use this endpoint, select Write Watchpoints under the Ground Intelligence category when creating or editing an API token. Learn More.

Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Request body for creating a Watchpoint

bearingRange
object

Inclusive clockwise range for the vehicle's direction of travel, measured in degrees from true north. Endpoints must be finite, distinct, and in [0, 360). A start greater than the end wraps through north. When absent, observations are not filtered by direction of travel.

customDetections
array of objects
length ≤ 4

Conditions to detect in new observations. Defaults to none. Requires custom detections to be enabled for your organization. Types must be distinct.

customDetections
location
object
required

Watchpoint latitude and longitude.

string
enum
required

Recurrence frequency for observations. Valid values: justOnce, daily, weekly, monthly, every15Minutes, hourly

Allowed:
string
length ≤ 80

Customer-provided name for the watchpoint.

string
length ≤ 280

Customer-provided note about the watchpoint.

string
enum
required

Type of condition to observe at this watchpoint. Valid values: roadDefect, utilityCut, guardrail, streetlight, signage, stormDrain, graffiti, vegetation, blight, illegalDumping, littering, highVegetationWeeds, fire, other

boolean
Defaults to false

Sends the authenticated user a dashboard notification for each new observation. Defaults to false. Ignored when the API token is not associated with a user.

Responses

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json